Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.engine.builder
[Groovy] Class ExpressionDelegate

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.WebRequestDelegatingRequestContext
          org.codehaus.groovy.grails.webflow.engine.builder.AbstractDelegate
              org.codehaus.groovy.grails.webflow.engine.builder.ExpressionDelegate

    class ExpressionDelegate
    extends AbstractDelegate

Used for evaluating PropertyExpression instances

Constructor Summary
`ExpressionDelegate(org.springframework.webflow.execution.RequestContext context)`

Method Summary

Methods inherited from class AbstractDelegate
getConversation, getCurrentEvent, getFlash, getFlow, getProperty

Methods inherited from class WebRequestDelegatingRequestContext
getActionName, getApplicationContext, getControllerName, getOut, getParams, getRequest, getRequestURI, getResponse, getServletContext, getSession, getWebRequest

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ExpressionDelegate

    ExpressionDelegate(org.springframework.webflow.execution.RequestContext context)

Groovy Documentation